function E = myevalgroupfunc(THIS,INDEX,PREFIX)

if islogical(INDEX)
    INDEX = find(INDEX);
end

E = '[';
for ieq = INDEX
    s = regexprep(char(THIS.eqtnf{ieq}),'@\(.*?\)','','once');
    E = [E,s,';']; %#ok<AGROW>
end
E = [E,']'];
E = str2func([PREFIX,E]);

end